Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum Line.LineEndStyleEnum

    java.lang.Object
      java.lang.Enum<Line.LineEndStyleEnum>
          org.pdfclown.documents.interaction.annotations.Line.LineEndStyleEnum

All Implemented Interfaces:
  Serializable, Comparable<Line.LineEndStyleEnum>

Enclosing class:
  Line

    public static enum Line.LineEndStyleEnum

extends Enum<Line.LineEndStyleEnum>

Line ending style [PDF:1.6:8.4.5].

Enum Constant Summary
`Butt` Butt.
`Circle` Circle.
`ClosedArrow` Closed arrow.
`Diamond` Diamond.
`None` None.
`OpenArrow` Open arrow.
`ReverseClosedArrow` Reverse closed arrow.
`ReverseOpenArrow` Reverse open arrow.
`Slash` Slash.
`Square` Square.

Method Summary
`static Line.LineEndStyleEnum` | `get(PdfName value)` Gets the line ending style corresponding to the given value.
`PdfName` | `getCode()`
`static Line.LineEndStyleEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Line.LineEndStyleEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Square

    public static final Line.LineEndStyleEnum Square

  Square.

### Circle

    public static final Line.LineEndStyleEnum Circle

  Circle.

### Diamond

    public static final Line.LineEndStyleEnum Diamond

  Diamond.

### OpenArrow

    public static final Line.LineEndStyleEnum OpenArrow

  Open arrow.

### ClosedArrow

    public static final Line.LineEndStyleEnum ClosedArrow

  Closed arrow.

### None

    public static final Line.LineEndStyleEnum None

  None.

### Butt

    public static final Line.LineEndStyleEnum Butt

  Butt.

### ReverseOpenArrow

    public static final Line.LineEndStyleEnum ReverseOpenArrow

  Reverse open arrow.

### ReverseClosedArrow

    public static final Line.LineEndStyleEnum ReverseClosedArrow

  Reverse closed arrow.

### Slash

    public static final Line.LineEndStyleEnum Slash

  Slash.

Method Detail

### values

    public static Line.LineEndStyleEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Line.LineEndStyleEnum c : Line.LineEndStyleEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Line.LineEndStyleEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Line.LineEndStyleEnum get(PdfName value)

  Gets the line ending style corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.